<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."mg_urlaubsliste/infusion_db.php";
include_once INFUSIONS."mg_urlaubsliste/includes/functions.php";

if (file_exists(INFUSIONS."mg_urlaubsliste/locale/".$settings['locale'].".php")) {
	include INFUSIONS."mg_urlaubsliste/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."mg_urlaubsliste/locale/German.php";
}

add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_urlaubsliste/includes/style.css' />\n");

$einstellungen = dbarray(dbquery("SELECT * FROM ".DB_URLAUB_SETTINGS.""));
$name_avatar = $einstellungen['name_avatar'];
$ul_forum_post = $einstellungen['ul_forum_post'];
$ul_forum_id = $einstellungen['ul_forum_id'];
$ul_thread_id = $einstellungen['ul_thread_id'];
$status_bild = $einstellungen['status_bild'];
$urlaub_farbe = $einstellungen['urlaub_farbe'];
$bereinigung_tage = $einstellungen['bereinigung_tage'];

// Selbstbereinigung
$result = dbquery("DELETE FROM ".DB_URLAUB." WHERE urlaub_end<".(time()-($bereinigung_tage*86400))."");
// Selbstbereinigung

if (iMEMBER) {
	opentable($locale['US_001']);
	$sql = dbquery("SELECT * FROM ".DB_URLAUB." WHERE user_id='".$userdata['user_id']."'");
	if (!dbrows($sql)) {
		if (isset($_POST['ja'])) {
			if ($_POST['urlaub_start'] == "" || $_POST['urlaub_end'] == "") {
				echo "<div class='ul_error'>".$locale['US_014']."</div>";
			} else {
				$start_date = strtotime($_POST['urlaub_start']);
				$end_date = (strtotime($_POST['urlaub_end']) <= $start_date ? $start_date : strtotime($_POST['urlaub_end']));
				$notiz = stripinput($_POST['notiz']);
				$notizp = ($notiz == "" ? "---" : $notiz);
				$sql = dbquery("INSERT INTO ".DB_URLAUB." (user_id,urlaub_start,urlaub_end,status,notiz) VALUES ('".$userdata['user_id']."', '".($start_date != 0 ? $start_date : time())."', '".($end_date != 0 ? $end_date : time())."', '1', '".$notiz."')");
				//1.4.0
				if ($ul_forum_post == "1") {
				$nachricht = sprintf($locale['US_msg01'], showdate("%d.%m.%Y", ($start_date != 0 ? $start_date : time())), showdate("%d.%m.%Y", ($end_date != 0 ? $end_date : time())), $notizp, $userdata['user_name']);
				$result = dbquery("INSERT INTO ".DB_POSTS." SET forum_id='".$ul_forum_id."', thread_id='".$ul_thread_id."', post_message='".$nachricht."', post_showsig='1', post_smileys='1', post_author='".$userdata['user_id']."', post_datestamp='".time()."', post_ip='".USER_IP."', post_edituser='0', post_edittime='0'");
				$newpost_id = mysql_insert_id();
				$result = dbquery("UPDATE ".DB_THREADS." SET thread_lastpostid='".$newpost_id."', thread_lastpost='".time()."', thread_lastuser='".$userdata['user_id']."', thread_locked='0', thread_postcount=thread_postcount+1  WHERE thread_id='".$ul_thread_id."'");
				$result = dbquery("UPDATE ".DB_USERS." SET user_posts=user_posts+1 WHERE user_id='".$userdata['user_id']."'");
				}
				//
				redirect(FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : ""));
			}
		}
		add_to_head("
		<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_urlaubsliste/includes/datePicker.css' />\n
		<script type='text/javascript' src='".INFUSIONS."mg_urlaubsliste/includes/date.js'></script>
		<script type='text/javascript' src='".INFUSIONS."mg_urlaubsliste/includes/jquery.datePicker.js'></script>\n
		<script type='text/javascript' charset='utf-8'>
			$.dpText = {
				TEXT_PREV_YEAR		:	'".$locale['US_DP0']."',
				TEXT_PREV_MONTH		:	'".$locale['US_DP1']."',
				TEXT_NEXT_YEAR		:	'".$locale['US_DP2']."',
				TEXT_NEXT_MONTH		:	'".$locale['US_DP3']."',
				TEXT_CLOSE			:	'".$locale['US_DP4']."',
				TEXT_CHOOSE_DATE	:	'".$locale['US_DP5']."'
			}
			$(function()
			{
				$('.date-pick').datePicker({displayClose:true});
				$('.date-pick').dpSetPosition($.dpConst.POS_BOTTOM, $.dpConst.POS_RIGHT);
			});
		</script>");
		echo "<table class='tbl-border center' cellpadding='4' cellspacing='0' width='90%'>
		<form name='urlaub1' method='post' action='".FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "")."'>
		<tr class='tbl2'>
			<td colspan='4' style='text-align:center;'><strong>".$locale['US_006']."</strong></td>
		</tr>";
		echo "
		<tr class='tbl1' style='text-align:center;'>
			<td style='width:5%;'>".$locale['US_015'].":</td>
			<td style='text-align:left; width:170px;'>
				<input type='text' class='textbox date-pick' name='urlaub_start' id='urlaub_start' style='width:80px;' />&nbsp;
				<img id='urlaub_start_clear' src='".INFUSIONS."mg_urlaubsliste/images/d_delete.png' title='".$locale['US_022']."' style='padding-left:1px;vertical-align:middle;cursor:pointer;cursor:hand;width:14px;display:none;' />
			</td>
			<td rowspan='2' style='text-align:right; vertical-align:top;'>
				<b>".$locale['US_017'].":</b>
			</td>
			<td rowspan='2' style='text-align:left; vertical-align:top;'>
				<textarea name='notiz' id='notiz' cols='30' rows='3' class='textbox' style='width:230px;'></textarea>&nbsp;
				<img id='notiz_clear' src='".INFUSIONS."mg_urlaubsliste/images/d_delete.png' title='".$locale['US_022']."' style='padding-left:1px;vertical-align:top;cursor:pointer;cursor:hand;width:14px;display:none;' />
			</td>
		</tr>
		<tr class='tbl1' style='text-align:center;'>
			<td style='width:5%;'>".$locale['US_016'].":</td>
			<td style='text-align:left; width:170px;'>
				<input type='text' class='textbox date-pick' name='urlaub_end' id='urlaub_end' style='width:80px;' />&nbsp;
				<img id='urlaub_end_clear' src='".INFUSIONS."mg_urlaubsliste/images/d_delete.png' title='".$locale['US_022']."' style='padding-left:1px;vertical-align:middle;cursor:pointer;cursor:hand;width:14px;display:none;' />
			</td>
		</tr>
		<tr class='tbl2'>
			<td colspan='4' style='text-align:center;'>
				<input type='submit' name='ja' value='".$locale['US_007']."' class='button' />
			</td>
		</tr>
		</form>
		</table>\n";
	} else {
		if (isset($_POST['nein'])) {
			$sql = dbquery("DELETE FROM ".DB_URLAUB." WHERE user_id='".$userdata['user_id']."'");
			//1.4.0
				if ($ul_forum_post == "1") {
				$nachricht = sprintf($locale['US_msg02'], $userdata['user_name']);
				$result = dbquery("INSERT INTO ".DB_POSTS." SET forum_id='".$ul_forum_id."', thread_id='".$ul_thread_id."', post_message='".$nachricht."', post_showsig='1', post_smileys='1', post_author='".$userdata['user_id']."', post_datestamp='".time()."', post_ip='".USER_IP."', post_edituser='0', post_edittime='0'");
				$newpost_id = mysql_insert_id();
				$result = dbquery("UPDATE ".DB_THREADS." SET thread_lastpostid='".$newpost_id."', thread_lastpost='".time()."', thread_lastuser='".$userdata['user_id']."', thread_locked='0', thread_postcount=thread_postcount+1  WHERE thread_id='".$ul_thread_id."'");
				$result = dbquery("UPDATE ".DB_USERS." SET user_posts=user_posts+1 WHERE user_id='".$userdata['user_id']."'");
				}
				//
			redirect(FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : ""));
		}
		echo "<div style='text-align:center;'>".$locale['US_008']."<br /><br />
		<form name='urlaub2' method='post' action='".FUSION_SELF."'>
		<input type='submit' name='nein' value='".$locale['US_009']."' class='button' />
		</form>
		</div>\n";
	}
	closetable();


opentable($locale['US_001']);
$result = dbquery("SELECT ur.*,ut.user_avatar,ut.user_name
FROM ".DB_URLAUB." ur
INNER JOIN ".DB_USERS." ut ON ur.user_id=ut.user_id
ORDER BY ur.urlaub_start, ur.urlaub_end, ut.user_name");
if (dbrows($result)) {
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr>
	<td width='20%' style='text-align:center;' class='tbl2'><b>".$locale['US_003']."</b></td>
	<td width='10%' style='text-align:center;' class='tbl2'><b>".$locale['US_002']."</b></td>
	<td width='15%' style='text-align:center;' class='tbl2'><b>".$locale['US_015']."</b></td>
	<td width='15%' style='text-align:center;' class='tbl2'><b>".$locale['US_016']."</b></td>
	<td width='25%' style='text-align:center;' class='tbl2'><b>".$locale['US_017']."</b></td>
	<td width='35px' style='text-align:center;' class='tbl2'><b>".$locale['US_004']."</b></td>
	</tr>\n";
	while ($data = dbarray($result)) {
		if (time() >= $data['urlaub_start']) {
			$bild = ($status_bild == "1" ? "<img src='".INFUSIONS."mg_urlaubsliste/images/urlaub.gif' alt='".$locale['US_005']."' title='".$locale['US_005']."'/>" : $locale['US_005']);
			} else {
			$bild = ($status_bild == "1" ? "<img src='".INFUSIONS."mg_urlaubsliste/images/ibrauchurlaub.gif' alt='".$locale['US_005a']."' title='".$locale['US_005a']."'/>" : $locale['US_005a']);
			}
		if ($name_avatar == "1") {
		$display_avatar = ($data['user_avatar'] ? "<img width='40' height='40' src='".BASEDIR."images/avatars/".$data['user_avatar']."' alt='Avatar' /><br />" : "<img width='40' height='40' src='".INFUSIONS."mg_urlaubsliste/images/nopic.jpg' alt='Avatar' /><br />");
		}
		echo "<tr>
		<td width='20%' style='text-align:center;' class='tbl1'>".$display_avatar."<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a></td>
		<td width='10%' style='text-align:center;' class='tbl1'>".$bild."</td>
		<td width='15%' style='text-align:center;' class='tbl1'>".showdate("%d.%m.%Y", $data['urlaub_start'])."</td>
		<td width='15%' style='text-align:center;' class='tbl1'>".showdate("%d.%m.%Y", $data['urlaub_end'])."</td>
		<td width='25%' style='text-align:center;' class='tbl1'>".($data['notiz'] != "" ? nl2br($data['notiz']) : "---")."</td>";
		if (iMEMBER && $userdata['user_id'] != $data['user_id']) {
			echo "<td width='35px' style='text-align:center;' class='tbl1'><a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."'><img src='".INFUSIONS."mg_urlaubsliste/images/mail.png' alt='".$locale['US_010']."' title='".$locale['US_010']."' /></a></td>";
		} else {
			echo "<td width='35px' style='text-align:center;' class='tbl1'></td>";
		}
		echo "</tr>";
	}
	echo "</table>\n";
} else {
	echo "<div style='text-align:center;'><br />".$locale['US_012']."<br /><br /></div>";
}
closetable();

opentable($locale['US_019']);

if (!isset($_GET['start_tag'])) {
$start_tag = 0;
$tag = time();
$taga = time();
} else {
$start_tag = $_GET['start_tag'];
$tag = time() + ($_GET['start_tag']*86400);
$taga = time() + ($_GET['start_tag']*86400);
}
echo "<div class='ul_buttons'>";
echo "<a href='".FUSION_SELF."?start_tag=".($start_tag - 7)."' class='negative' title='".$locale['US_023']."'><img src='".INFUSIONS."mg_urlaubsliste/images/last.png' alt=''/></a>";
echo "<a href='".FUSION_SELF."?start_tag=0'>".$locale['US_024']."</a>";
echo "<a href='".FUSION_SELF."?start_tag=".($start_tag + 7)."' class='positive' title='".$locale['US_025']."'><img src='".INFUSIONS."mg_urlaubsliste/images/next.png' alt=''/></a>";
echo "</div>";
echo "<table width='100%' cellpadding='0' cellspacing='0' class='tbl center' style='border-collapse:collapse;'>
		<tr style='text-align:center;'><td colspan='2' style='border: 1px solid dimgray;font-weight:bold;'>".$locale['US_026']."</td>";
		$wochentage = array ($locale['US_wkdy1'], $locale['US_wkdy2'], $locale['US_wkdy3'], $locale['US_wkdy4'], $locale['US_wkdy5'], $locale['US_wkdy6'], $locale['US_wkdy7']);

		for ($a=0;$a<=13;$a++) {
			$wochentag = date("w", ($tag + ($a*86400)));
			$class = (date("w", ($tag + ($a*86400))) == 0 || date("w", ($tag + ($a*86400))) == 6 ? "ul_weekend" : "ul_weekday");
			$class1 = (showdate("%d.%m.", ($tag + ($a*86400))) == showdate("%d.%m.", (time())) ? " ul_today" : "");
			echo "<td class='".$class."".$class1."' style='border: 1px solid dimgray;' title='".$wochentage[$wochentag]."'>".showdate("%d.%m.", ($tag + ($a*86400)))."</td>";
		}
echo "</tr>";
$result = dbquery("SELECT ur.*,ut.user_avatar,ut.user_name
FROM ".DB_URLAUB." ur
INNER JOIN ".DB_USERS." ut ON ur.user_id=ut.user_id
ORDER BY ur.urlaub_start ASC, ur.urlaub_end DESC, ut.user_name");

if (dbrows($result)) {
	// $taga = time();
	$i = 1;
	while ($data = dbarray($result)) {
	echo "<tr class='tbl1' style='text-align:center;'>";
	echo "<td style='width:1%;border-top: 1px solid dimgray;'>".$i.".</td>";
	echo "<td style='border-top: 1px solid dimgray;'><a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'>".trimlink($data['user_name'], 15)."</a></td>";
	for ($a=0;$a<=13;$a++) {
		if ((($taga + ($a*86400)) <= $data['urlaub_start']) || (($taga + ($a*86400)) > ($data['urlaub_end']+86400))) { $bg = "border-top: 1px solid dimgray;"; } else { $bg = "border: 1px solid dimgray;background-color:#".$urlaub_farbe.";"; }
		echo "<td style='".$bg."'>&nbsp;</td>";
		}
	echo "</tr>";
	$i++;
	}
} else {
	echo "<tr class='tbl1' style='text-align:center;'><td colspan='16'><br />".$locale['US_012']."<br /><br /></td></tr>";
}
echo "</table>\n";

if (iADMIN) {
echo "<div style='text-align:center;'><br /><a href='".INFUSIONS."mg_urlaubsliste/urlaub_admin.php".$aidlink."'><b>".$locale['UA_001']."</b></a><br /></div>";
}
closetable();
} else {
opentable($locale['US_020']);
echo "<div style='text-align:center;'><br />".$locale['US_021']."<br /><br /></div>";
closetable();
}

echo "<script type='text/javascript' charset='utf-8'>
	$(document).ready(function(){
		$('.ul_success').fadeOut(5000);
		$('.ul_error').fadeOut(10000);
	});

	$(function() {
		$('#urlaub_start').change(function() {
			$('#urlaub_start_clear').fadeIn('slow');
		});

		$('#urlaub_start').keyup(function() {
			$('#urlaub_start_clear').fadeIn('slow');
		});
	});

	$(function() {
		$('#urlaub_end').change(function() {
			$('#urlaub_end_clear').fadeIn('slow');
		});

		$('#urlaub_end').keyup(function() {
			$('#urlaub_end_clear').fadeIn('slow');
		});
	});

	$(function() {
		$('#notiz').change(function() {
			$('#notiz_clear').fadeIn('slow');
		});

		$('#notiz').keyup(function() {
			$('#notiz_clear').fadeIn('slow');
		});
	});

	$(function() {
		$('#urlaub_start_clear').click(function() {
			$('#urlaub_start').val('');
			$('#urlaub_start_clear').fadeOut('slow');
		});
	});

	$(function() {
		$('#urlaub_end_clear').click(function() {
			$('#urlaub_end').val('');
			$('#urlaub_end_clear').fadeOut('slow');
		});
	});

	$(function() {
		$('#notiz_clear').click(function() {
			$('#notiz').val('');
			$('#notiz_clear').fadeOut('slow');
		});
	});
</script>
";
/*Please do not remove following line.*/
echo urlaub_copyright();

require_once THEMES."templates/footer.php";
?>
