<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_infusion_admin.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."mg_urlaubsliste/infusion_db.php";
include_once INFUSIONS."mg_urlaubsliste/includes/functions.php";

if (!checkrights("UL") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."mg_urlaubsliste/locale/".$settings['locale'].".php")) {
	include INFUSIONS."mg_urlaubsliste/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."mg_urlaubsliste/locale/German.php";
}

add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."mg_urlaubsliste/includes/style.css' />\n");

$einstellungen = dbarray(dbquery("SELECT * FROM ".DB_URLAUB_SETTINGS.""));
$name_avatar = $einstellungen['name_avatar'];
$ul_forum_post = $einstellungen['ul_forum_post'];
$ul_forum_id = $einstellungen['ul_forum_id'];
$ul_thread_id = $einstellungen['ul_thread_id'];
$status_bild = $einstellungen['status_bild'];
$urlaub_farbe = $einstellungen['urlaub_farbe'];
$bereinigung_tage = $einstellungen['bereinigung_tage'];


if (isset($_POST['adminnein'])) {
	$data = dbarray(dbquery("SELECT user_name FROM ".DB_USERS." WHERE user_id='".$_GET['uid']."'"));
	$sql = dbquery("DELETE FROM ".DB_URLAUB." WHERE user_id='".$_GET['uid']."'");
			//1.4.0
				if ($ul_forum_post == "1") {
				$nachricht = sprintf($locale['US_msg03'], $data['user_name'], $data['user_name'], $userdata['user_name']);
				$result = dbquery("INSERT INTO ".DB_POSTS." SET forum_id='".$ul_forum_id."', thread_id='".$ul_thread_id."', post_message='".$nachricht."', post_showsig='1', post_smileys='1', post_author='".$userdata['user_id']."', post_datestamp='".time()."', post_ip='".USER_IP."', post_edituser='0', post_edittime='0'");
				$newpost_id = mysql_insert_id();
				$result = dbquery("UPDATE ".DB_THREADS." SET thread_lastpostid='".$newpost_id."', thread_lastpost='".time()."', thread_lastuser='".$userdata['user_id']."', thread_locked='0', thread_postcount=thread_postcount+1  WHERE thread_id='".$ul_thread_id."'");
				$result = dbquery("UPDATE ".DB_USERS." SET user_posts=user_posts+1 WHERE user_id='".$userdata['user_id']."'");
				}
				//
	redirect(FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : ""));
}

if (isset($_POST['cleanup'])) {
	$sql = dbquery("DELETE FROM ".DB_URLAUB." WHERE urlaub_end<".(time()-172800)."");
	redirect(FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : ""));
}

if (isset($_POST['savesettings'])) {
		if ($_POST['name_avatar'] != "" && $_POST['urlaub_farbe'] != "" && $_POST['bereinigung_tage'] != "" && $_POST['status_bild'] != "") {
		$name_avatar = stripinput($_POST['name_avatar']);
		$status_bild = stripinput($_POST['status_bild']);
		$ul_forum_post = stripinput($_POST['ul_forum_post']);
		$ul_forum_id = stripinput($_POST['ul_forum_id']);
		$ul_thread_id = stripinput($_POST['ul_thread_id']);
		$urlaub_farbe = stripinput($_POST['urlaub_farbe']);
		$bereinigung_tage = stripinput($_POST['bereinigung_tage']);
		$result = dbquery("UPDATE ".DB_URLAUB_SETTINGS." SET name_avatar='".$name_avatar."', status_bild='".$status_bild."', ul_forum_post='".$ul_forum_post."', ul_forum_id='".$ul_forum_id."', ul_thread_id='".$ul_thread_id."', urlaub_farbe='".$urlaub_farbe."', bereinigung_tage='".$bereinigung_tage."' WHERE settings_id='1'");
			echo "<div class='ul_success'>".$locale['UA_014']."<br /><br /></div>";
	} else {
	echo "<div class='ul_error'>".$locale['UA_015']."<br /><br /></div>";
	}
	}

// Selbstbereinigung
$result = dbquery("DELETE FROM ".DB_URLAUB." WHERE urlaub_end<".(time()-($bereinigung_tage*86400))."");
// Selbstbereinigung

opentable($locale['UA_001']);

if(isset($_GET['section']))
{
$section = stripinput($_GET['section']);
} else {
$section = "overview";
}

echo "<table style='text-align:center;' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>";
echo "<tr>

<td width='50%' class='".($section == "overview" ? "tbl1" : "tbl2")."' style='text-align:center;'><span class='small'>".($section == "overview" ? "<strong>".$locale['UA_007']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=overview'><strong>".$locale['UA_007']."</strong></a>")."</span></td>

<td width='50%' class='".($section == "settings" ? "tbl1" : "tbl2")."' style='text-align:center;'><span class='small'>".($section == "settings" ? "<strong>".$locale['UA_006']."</strong>" : "<a class='small' href='".FUSION_SELF.$aidlink."&amp;section=settings'><strong>".$locale['UA_006']."</strong></a>")."</span></td>

</tr>
</table><br />";


switch ($section) {

case "overview":

opentable($locale['UA_007']);
$result = dbquery("SELECT ur.*,ut.user_avatar,ut.user_name 
FROM ".DB_URLAUB." ur
LEFT JOIN ".DB_USERS." ut ON ur.user_id=ut.user_id
ORDER BY ur.urlaub_start, ur.urlaub_end, ut.user_name");
if (dbrows($result)) {
	echo "<table width='100%' cellpadding='1' cellspacing='1' class='tbl-border'>
	<tr>
	<td width='20%' style='text-align:center;' class='tbl2'><b>".$locale['US_003']."</b></td>
	<td width='10%' style='text-align:center;' class='tbl2'><b>".$locale['US_002']."</b></td>
	<td width='15%' style='text-align:center;' class='tbl2'><b>".$locale['US_015']."</b></td>
	<td width='15%' style='text-align:center;' class='tbl2'><b>".$locale['US_016']."</b></td>
	<td width='25%' style='text-align:center;' class='tbl2'><b>".$locale['US_017']."</b></td>
	<td width='35px' style='text-align:center;' class='tbl2'><b>".$locale['US_004']."</b></td>
	<td width='15%' style='text-align:center;' class='tbl2'><b>".$locale['US_018']."</b></td>
	</tr>\n";
	while ($data = dbarray($result)) {
		if (time() >= $data['urlaub_start']) {
			$bild = ($status_bild == "1" ? "<img src='".INFUSIONS."mg_urlaubsliste/images/urlaub.gif' alt='".$locale['US_005']."' title='".$locale['US_005']."'/>" : $locale['US_005']);
			} else {
			$bild = ($status_bild == "1" ? "<img src='".INFUSIONS."mg_urlaubsliste/images/ibrauchurlaub.gif' alt='".$locale['US_005a']."' title='".$locale['US_005a']."'/>" : $locale['US_005a']);
			}
		
		if ($name_avatar == "1") {
		$display_avatar = ($data['user_avatar'] ? "<img width='50' height='50' src='".BASEDIR."images/avatars/".$data['user_avatar']."' alt='Avatar' /><br />" : "<img width='50' height='50' src='".INFUSIONS."mg_urlaubsliste/images/nopic.jpg' alt='Avatar' /><br />");
		}
		if ($data['user_name'] == "") {
			$name = "<span style='color:red';>".$locale['UA_002']."</span>";
			$kontakt = "";
		} else {
			$name = "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a>"; 
			$kontakt = "<a href='".BASEDIR."messages.php?msg_send=".$data['user_id']."'><img src='".INFUSIONS."mg_urlaubsliste/images/mail.png' alt='".$locale['US_010']."' title='".$locale['US_010']."' style='border:none;' /></a>";
		}
		echo "<tr>
		<td width='20%' style='text-align:center;' class='tbl1'>".$display_avatar."".$name."</td>
		<td width='10%' style='text-align:center;' class='tbl1'>".$bild."</td>
		<td width='15%' style='text-align:center;' class='tbl1'>".showdate("%d.%m.%Y", $data['urlaub_start'])."</td>
		<td width='15%' style='text-align:center;' class='tbl1'>".showdate("%d.%m.%Y", $data['urlaub_end'])."</td>
		<td width='25%' style='text-align:center;' class='tbl1'>".($data['notiz'] != "" ? nl2br($data['notiz']) : "---")."</td>";
		if (iMEMBER && $userdata['user_id'] != $data['user_id']) {
			echo "<td width='35px' style='text-align:center;' class='tbl1'>".$kontakt."</td>";
		} else {
			echo "<td width='35px' style='text-align:center;' class='tbl1'></td>";
		}
		echo "<td width='15%' style='text-align:center;' class='tbl2'>
		<form name='admin' method='post' action='".FUSION_SELF.$aidlink."&amp;uid=".$data['user_id']."'>
		<input type='submit' name='adminnein' value='".$locale['UA_003']."' class='button' />
		</form>
		</td>";
	
		echo "</tr>";
	}
	echo "</table>\n";
echo "<div style='text-align:center;'><br />
<form name='cleanupform' method='post' action='".FUSION_SELF.$aidlink."'>
		<input type='submit' name='cleanup' value='".$locale['UA_004']."' class='button' />
		</form><br />".$locale['UA_005']."</div>";
} else {
	echo "<div style='text-align:center;'><br />".$locale['US_012']."<br /><br /></div>";
}
closetable();

opentable($locale['US_019']);

if (!isset($_GET['start_tag'])) {
$start_tag = 0;
$tag = time();
$taga = time();
} else {
$start_tag = $_GET['start_tag'];
$tag = time() + ($_GET['start_tag']*86400);
$taga = time() + ($_GET['start_tag']*86400);
}
echo "<div class='ul_buttons'>";
echo "<a href='".FUSION_SELF.$aidlink."&amp;start_tag=".($start_tag - 7)."' class='negative' title='".$locale['US_023']."'><img src='".INFUSIONS."mg_urlaubsliste/images/last.png' alt=''/></a> ";
echo "<a href='".FUSION_SELF.$aidlink."&amp;start_tag=0'>".$locale['US_024']."</a> ";
echo "<a href='".FUSION_SELF.$aidlink."&amp;start_tag=".($start_tag + 7)."' class='positive' title='".$locale['US_025']."'><img src='".INFUSIONS."mg_urlaubsliste/images/next.png' alt=''/></a>";
echo "</div>";
echo "<table width='100%' cellpadding='0' cellspacing='0' class='tbl center' style='border-collapse:collapse;'>
		<tr style='text-align:center;'><td colspan='2' style='border: 1px solid dimgray;font-weight:bold;'>".$locale['US_026']."</td>";
		$wochentage = array ($locale['US_wkdy1'], $locale['US_wkdy2'], $locale['US_wkdy3'], $locale['US_wkdy4'], $locale['US_wkdy5'], $locale['US_wkdy6'], $locale['US_wkdy7']);

		for ($a=0;$a<=13;$a++) {
			$wochentag = date("w", ($tag + ($a*86400)));
			$class = (date("w", ($tag + ($a*86400))) == 0 || date("w", ($tag + ($a*86400))) == 6 ? "ul_weekend" : "ul_weekday");
			$class1 = (showdate("%d.%m.", ($tag + ($a*86400))) == showdate("%d.%m.", (time())) ? " ul_today" : "");
			echo "<td class='".$class."".$class1."' style='border: 1px solid dimgray;' title='".$wochentage[$wochentag]."'>".showdate("%d.%m.", ($tag + ($a*86400)))."</td>";
		}
echo "</tr>";
$result = dbquery("SELECT ur.*,ut.user_avatar,ut.user_name
FROM ".DB_URLAUB." ur
LEFT JOIN ".DB_USERS." ut ON ur.user_id=ut.user_id
ORDER BY ur.urlaub_start ASC, ur.urlaub_end DESC, ut.user_name");

if (dbrows($result)) {
	// $taga = time();
	$i = 1;
	while ($data = dbarray($result)) {
	if ($data['user_name'] == "") {
			$name = "<span style='color:red';>".$locale['UA_002']."</span>"; } else { $name = "<a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$data['user_name']."'>".trimlink($data['user_name'], 15)."</a>"; }
	echo "<tr class='tbl1' style='text-align:center;'>";
	echo "<td style='width:1%;border-top: 1px solid dimgray;'>".$i.".</td>";
	echo "<td style='border-top: 1px solid dimgray;'>".$name."</td>";
	for ($a=0;$a<=13;$a++) {
		if ((($taga + ($a*86400)) <= $data['urlaub_start']) || (($taga + ($a*86400)) > ($data['urlaub_end']+86400))) { $bg = "border-top: 1px solid dimgray;"; } else { $bg = "border: 1px solid dimgray;background-color:#".$urlaub_farbe.";"; }
		echo "<td style='".$bg."'>&nbsp;</td>";
		}
	echo "</tr>";
	$i++;
	}
} else {
	echo "<tr class='tbl1' style='text-align:center;'><td colspan='16'><br />".$locale['US_012']."<br /><br /></td></tr>";
}
echo "</table>\n";
closetable();

break;

case "settings":
opentable($locale['UA_006']);

echo "<table width='70%' style='text-align:center;' cellpadding='5' cellspacing='1' class='tbl-border'>";
echo "<form name='einstellungen' method='post' action='".FUSION_SELF.$aidlink."&amp;section=settings'>";
echo "<tr class='tbl1' style='text-align:left;'>
		<td width='50%'>".$locale['UA_008']."</td>
		<td width='50%'>
			<select name='name_avatar' class='textbox' size='1'>
				<option value='1'".($name_avatar == "1" ? " selected='selected'" : "").">".$locale['UA_009']."</option>
				<option value='0'".($name_avatar == "0" ? " selected='selected'" : "").">".$locale['UA_010']."</option>
			</select></td>
	</tr>";

echo "<tr class='tbl1' style='text-align:left;'>
		<td width='50%'>".$locale['UA_016']."</td>
		<td width='50%'>
			<select name='status_bild' class='textbox' size='1'>
				<option value='1'".($status_bild == "1" ? " selected='selected'" : "").">".$locale['UA_017']."</option>
				<option value='0'".($status_bild == "0" ? " selected='selected'" : "").">".$locale['UA_018']."</option>
			</select></td>
	</tr>";

echo "<tr class='tbl1' style='text-align:left;'>
		<td width='50%'>".$locale['UA_011']."<div id='preview_urlaub_farbe' style='float:right;width:24px;height:12px;border:1px solid black;background-color:#".$urlaub_farbe.";'>&nbsp;&nbsp;</div></td>
		<td width='50%'>".urlaub_color_mapper("urlaub_farbe", $urlaub_farbe)."</td>
	</tr>";

echo "<tr class='tbl1' style='text-align:left;'>
		<td width='50%'>".$locale['UA_012']."</td>
		<td width='50%'>
			<select name='bereinigung_tage' size='1' class='textbox'>";
				for ($i=1;$i<=14;$i++) { echo "<option".($bereinigung_tage == $i ? " selected='selected'" : "").">".$i."</option>\n"; }
		echo "</select> ".$locale['UA_019']."
		</td>
	</tr>";
	
echo "<tr class='tbl2'>
		<td colspan='2' style='text-align:center;'>
		</td>
	</tr>";
	
echo "<tr class='tbl1' style='text-align:left;'>
		<td width='50%'>".$locale['UA_020']."</td>
		<td width='50%'>
			<select name='ul_forum_post' class='textbox' size='1'>
				<option value='1'".($ul_forum_post == "1" ? " selected='selected'" : "").">".$locale['UA_009']."</option>
				<option value='0'".($ul_forum_post == "0" ? " selected='selected'" : "").">".$locale['UA_010']."</option>
			</select></td>
	</tr>";
	
echo "<tr class='tbl1' style='text-align:left;'>
		<td width='50%'>".$locale['UA_021']."</td>
		<td width='50%'>
			<input type='text' name='ul_forum_id' value='$ul_forum_id' class='textbox'  style='width:50px;text-align:center;' />
			&nbsp;<span style='color:red;'>".$locale['UA_023']."</span>
		</td>
	</tr>";
	
echo "<tr class='tbl1' style='text-align:left;'>
		<td width='50%'>".$locale['UA_022']."</td>
		<td width='50%'>
			<input type='text' name='ul_thread_id' value='$ul_thread_id' class='textbox'  style='width:50px;text-align:center;' />
			&nbsp;<span style='color:red;'>".$locale['UA_024']."</span>
		</td>
	</tr>";
	
echo "<tr class='tbl2'>
		<td colspan='2' style='text-align:center;'>
			<input type='submit' name='savesettings' value='".$locale['UA_013']."' class='button' />
		</td>
	</tr>";
echo "</form>";
echo "</table>\n";
closetable();
break;
}
closetable();

/*Please do not remove following line.*/
echo urlaub_copyright();

echo "<script type='text/javascript' charset='utf-8'>
	$(document).ready(function(){
		$('.ul_success').fadeOut(5000);
		$('.ul_error').fadeOut(10000);
	});
</script>";
require_once THEMES."templates/footer.php";
?>
