<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."mg_urlaubsliste/infusion_db.php";

if (file_exists(INFUSIONS."mg_urlaubsliste/locale/".$settings['locale'].".php")) {
	include INFUSIONS."mg_urlaubsliste/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."mg_urlaubsliste/locale/German.php";
}

// Infusion general information
$inf_title = $locale['install_001'];
$inf_description = $locale['install_002'];
$inf_version = $locale['install_004'];
$inf_developer = "MarcusG";
$inf_email = "";
$inf_weburl = "http://phpfusion.marcusg.de";

$inf_folder = "mg_urlaubsliste"; // The folder in which the infusion resides.

// Delete any items not required below.
$inf_newtable[1] = DB_URLAUB." (
user_id			MEDIUMINT(5) NOT NULL DEFAULT '0',
urlaub_start	INT(10) UNSIGNED NOT NULL DEFAULT '0',
urlaub_end		INT(10) UNSIGNED NOT NULL DEFAULT '0',
status			TINYINT(1) NOT NULL DEFAULT '0',
notiz 			TEXT NOT NULL,
PRIMARY KEY (user_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_URLAUB_SETTINGS." (
settings_id			TINYINT(1) NOT NULL DEFAULT '1',
name_avatar			TINYINT(1) NOT NULL DEFAULT '0',
status_bild			TINYINT(1) NOT NULL DEFAULT '0',
ul_forum_post		TINYINT(1) NOT NULL DEFAULT '0',
ul_forum_id			VARCHAR(50) NOT NULL default '',
ul_thread_id		VARCHAR(50) NOT NULL default '',
urlaub_farbe		VARCHAR(50) NOT NULL default '',
bereinigung_tage	TINYINT(2) NOT NULL DEFAULT '0',
PRIMARY KEY (settings_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_URLAUB_SETTINGS." (settings_id, name_avatar, status_bild, ul_forum_post, ul_forum_id, ul_thread_id, urlaub_farbe, bereinigung_tage) VALUES ('1', '1', '1', '0', '0', '0', 'FF6600', '7')";

$inf_droptable[1] = DB_URLAUB;
$inf_droptable[2] = DB_URLAUB_SETTINGS;

// $inf_altertable[1] = "";

// $inf_deldbrow[1] = "";

$inf_adminpanel[1] = array(
	"title" => $locale['UA_001'],
	"image" => "urlaubsliste.png",
	"panel" => "urlaub_admin.php",
	"rights" => "UL"
);

$inf_sitelink[1] = array(
	"title" => $locale['install_003'],
	"url" => "urlaub.php",
	"visibility" => "101" // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.
);
?>